Skip to main content
PATCH
Update value-code-sets

Authorizations

Authorization
string
header
required

Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.

Headers

Idempotency-Key
string

Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.

Required string length: 1 - 128
Pattern: ^[!-~]+$

Path Parameters

resource_id
integer
required

Body

application/json
name
string

Display name (e.g., 'ABS Pipe Fittings - Fitting/Connector Type')

Maximum string length: 200
code
string

Unique identifier (e.g., 'abs_pipe_fittings_type')

Maximum string length: 100
description
string

Description of this code set and its intended use

Maximum string length: 100000
allow_new_values
boolean

Whether new values can be dynamically added during product import

new_value_handling
string

How to handle values not in this code set during product import

Maximum string length: 20

Response

OK

name
string
required

Display name (e.g., 'ABS Pipe Fittings - Fitting/Connector Type')

Maximum string length: 200
code
string
required

Unique identifier (e.g., 'abs_pipe_fittings_type')

Maximum string length: 100
description
string
required

Description of this code set and its intended use

allow_new_values
boolean
required

Whether new values can be dynamically added during product import

new_value_handling
string
required

How to handle values not in this code set during product import

Maximum string length: 20
id
integer
required